glibmm: Gio::SocketConnectable Class Reference

glibmm 2.29.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gio::SocketConnectable Class Reference
Portable Network I/O Functionality

Interface for potential socket endpoints. More...

`#include <giomm/socketconnectable.h>`

Inheritance diagram for Gio::SocketConnectable:
[legend]

List of all members.

## Public Member Functions
virtual | ~SocketConnectable ()
GSocketConnectable* | gobj ()
| Provides access to the underlying C GObject.
const GSocketConnectable* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr < SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr< const SocketAddressEnumerator > | enumerate () const
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr < SocketAddressEnumerator > | proxy_enumerate ()
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
Glib::RefPtr< const SocketAddressEnumerator > | proxy_enumerate () const
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::SocketConnectable > | wrap (GSocketConnectable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Interface for potential socket endpoints.

Since glibmm 2.24:

## Constructor & Destructor Documentation

virtual Gio::SocketConnectable::~SocketConnectable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gio::SocketConnectable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<SocketAddressEnumerator> Gio::SocketConnectable::enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns:
  A new SocketAddressEnumerator.

Glib::RefPtr<const SocketAddressEnumerator> Gio::SocketConnectable::enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable.

Since glibmm 2.22:

Returns:
  A new SocketAddressEnumerator.

GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gio::InetSocketAddress, Gio::NetworkAddress, Gio::NetworkService, Gio::ProxyAddress, Gio::SocketAddress, and Gio::UnixSocketAddress.

const GSocketConnectable* Gio::SocketConnectable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gio::InetSocketAddress, Gio::NetworkAddress, Gio::NetworkService, Gio::ProxyAddress, Gio::SocketAddress, and Gio::UnixSocketAddress.

Glib::RefPtr<SocketAddressEnumerator> Gio::SocketConnectable::proxy_enumerate | ( |  | ) |

Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns:
  A new SocketAddressEnumerator.

Glib::RefPtr<const SocketAddressEnumerator> Gio::SocketConnectable::proxy_enumerate | ( |  | ) | const

Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.

If connectable does not implement g_socket_connectable_proxy_enumerate(), this will fall back to calling g_socket_connectable_enumerate().

Since glibmm 2.26:

Returns:
  A new SocketAddressEnumerator.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SocketConnectable > wrap | ( | GSocketConnectable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.